#### D.13.6.33 randomPolyInT

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  randomPolyInT(d,ug,og[,#]); d, ug, og int, # list

Assume:
  the basering has a parameter t

Return:
  poly, a polynomial of degree d where the coefficients are of the form t^j with j a random integer between ug and og

Note:
  if an optional argument # is given, then the coefficients are instead either of the form t^j as above or they are zero, and this is chosen randomly

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    randomPolyInT(3,-2,5);
    randomPolyInT(3,-2,5,1);

User manual for Singular version 4.4.1, 2025, generated by texi2html.